package com.xjrsoft.module.textbook.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.textbook.entity.WfExerciseBook;

import java.util.List;

/**
* @title: 作业本征订
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/

public interface IWfExerciseBookService extends MPJBaseService<WfExerciseBook> {
    /**
    * 新增
    *
    * @param wfExerciseBook
    * @return
    */
    Boolean add(WfExerciseBook wfExerciseBook);

    /**
    * 更新
    *
    * @param wfExerciseBook
    * @return
    */
    Boolean update(WfExerciseBook wfExerciseBook);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    /**
     * 根据Id查询征订项
     *
     * @param id
     * @return
     */
    WfExerciseBook selectById(Long id);
}
